## rman 3.0.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# Makefile for RosettaMan
+# Makefile for PolyglotMan
 #   It's helpful to read the README-rman file first.
 #   You should read over all parts of this file,
 #      down to the "you shouldn't modify" line
 #
-# Tom Phelps (phelps@cs.Berkeley.EDU)
+# Tom Phelps (phelps@ACM.org)
 #
 
 
@@ -15,7 +15,7 @@
 #    this must be a directory that's in your bin PATH.
 # MANDIR holds the man page.
 
-BINDIR = /home/auspex/h/bair/phelps/bin
+BINDIR = /private/share/bin
 #BINDIR = /usr/local/bin
 MANDIR = /home/auspex/h/bair/phelps/man/man1
 #MANDIR = /usr/local/man/man1
@@ -39,12 +39,18 @@
 # For HP-UX
 #CC = cc
 #CFLAGS = -Aa -O
+# HP-UX 10.20
+#CFLAGS = -Ae -O
+
+# DEC Alpha and Ultrix, -std1 needed to conform to ANSI C
+#CC = cc
+#CFLAGS = -std1 -O3 -Olimit 1000
 
 
 # list of valid volume numbers and letters
 # you can also set these at runtime with -V
 VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p"
-# SCO Unix have expanded volume letters
+# SCO Unix has expanded set of volume letters
 #VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p:C:X:S:L:M:F:G:A:H"
 # SGI and UnixWare 2.0
 #VOLLIST = "1:2:3:4:5:6:7:8:9:o:l:n:p:D"
@@ -58,7 +64,7 @@
 # you can set these at runtime with -l and -r, respectively
 
 MANTITLEPRINTF = "%s(%s) manual page"
-MANREFPRINTF = "http://localhost/cgi-bin/man2html?%s?%s"
+MANREFPRINTF = "/cgi-bin/man2html?%s&%s"
 
 
 # # # these lines are probably fine
@@ -75,13 +81,15 @@
 #
 #--------------------------------------------------
 
-version = 2.5a6
+version = 3.0.4
 rman = rman-$(version)
 srcs = rman.c getopt.c macish.c
 objs = rman
 defs = -DVOLLIST='$(VOLLIST)' -DMANTITLEPRINTF='$(MANTITLEPRINTF)' -DMANREFPRINTF='$(MANREFPRINTF)'
+# add "-DTCLTK" to the above list to enable special formatting for Tcl/Tk macros that 
+# conflicts with macros for other man pages
 libs = 
-aux = README-rman Makefile Makefile.mac rman.1 rman.html Copyright
+aux = ANNOUNCE-rman README-rman Makefile Makefile.mac rman.1 rman.html CHANGES
 distrib = $(srcs) $(libs) $(aux) contrib
 
 
@@ -91,17 +99,22 @@
 
 # everyone but me zaps assertions with the -DNDEBUG flag
 rman: rman.c Makefile
-	$(CC) -DNDEBUG $(defs) -DROSETTAMANVERSION=\"$(version)\" $(CFLAGS) -o rman rman.c
+	$(CC) -DNDEBUG $(defs) -DPOLYGLOTMANVERSION=\"$(version)\" $(CFLAGS) -o rman rman.c
+
+dox: rman.1 ANNOUNCE-rman
+
+ANNOUNCE-rman: Announce-rman
+	sed -e /=========/,/bogusline/p -e d Announce-rman > ANNOUNCE-rman
 
 rman.1: rman.html rman
-	echo '.TH RosettaMan 1' > rman.1
+	echo '.TH PolyglotMan 1' > rman.1
 	cat ../html/html.dtd rman.html | sgmls | ../html/html2man.pl >> rman.1
 
 debug:
-	$(CC) $(defs) -DROSETTAMANVERSION=\"debug\" -g -Wall -o rman rman.c
+	$(CC) $(defs) -DDEBUG -DPOLYGLOTMANVERSION=\"debug\" -g -Wall -o rman rman.c
 
-prof: rman.c
-	quantify -cache-dir=/home/orodruin/h/bair/phelps/spine/rman/cache $(CC) -DNDEBUG $(defs) -DROSETTAMANVERSION=\"$(version)\" -g -o rman rman.c
+prof:
+	quantify -cache-dir=/home/orodruin/h/bair/phelps/spine/rman/cache $(CC) -DNDEBUG $(defs) -DPOLYGLOTMANVERSION=\"QUANTIFY\" -g -o rman rman.c
 
 install: rman
 #	$(INSTALL) -s rman $(BINDIR)
@@ -111,23 +124,26 @@
 	$(CP) rman.1 $(MANDIR)
 
 # test version includes assertions
+#	ginstall rman $(BINDIR)/`arch`
 test: rman.c Makefile
-	$(CC) $(defs) -DROSETTAMANVERSION=\"$(version)\" $(CFLAGS) -Wall -ansi -pedantic -o rman rman.c
+	$(CC) $(defs) -DPOLYGLOTMANVERSION=\"$(version)\" $(CFLAGS) -Wall -ansi -pedantic -o rman rman.c
 	ls -l rman
-	ginstall rman $(BINDIR)/sun4
+	ginstall rman $(BINDIR)
 	rman -v
 	rman --help
-	@echo 'Assertion check:'
+	@echo 'Assertion checks:'
+	rman -f html hp-tbl.1 > /dev/null
+	rman -f html Pnews.1 > /dev/null
 	nroff -man rman.1 | rman -f html > /dev/null
 
 sww:
-	rm -f rman $(wildcard ~/bin/{sparc,alpha}/rman)
+	rm -f rman $(wildcard ~/bin/{sun4,snake,alpha}/rman)
 	rman
 
 clean:
 	rm -f $(objs)
 
-tar: rman.1
+dist: dox
 	rm -rf $(rman)*
 	mkdir $(rman)
 	$(CP) -R $(distrib) $(rman)
@@ -140,7 +156,7 @@
 	gtar chvf $(rman).tar $(rman)
 	compress $(rman).tar
 #	gzip -9v $(rman).tar
-	rm -rf $(rman) rman.1
+	rm -rf $(rman) ANNOUNCE-rman rman.1
 	@echo "*** Did you remember to ci -l first?"
 
 uu: tar
