## rman 3.0.6

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,10 @@
 # you can set these at runtime with -l and -r, respectively
 
 MANTITLEPRINTF = "%s(%s) manual page"
-MANREFPRINTF = "/cgi-bin/man2html?%s&%s"
+# relative link to pregenerated file in same directory
+MANREFPRINTF = "%s.%s"
+# on-the-fly through a cgi-bin script
+#MANREFPRINTF = "/cgi-bin/man2html?%s&%s"
 
 
 # # # these lines are probably fine
@@ -81,13 +84,11 @@
 #
 #--------------------------------------------------
 
-version = 3.0.4
+version = 3.0.7
 rman = rman-$(version)
 srcs = rman.c getopt.c macish.c
 objs = rman
 defs = -DVOLLIST='$(VOLLIST)' -DMANTITLEPRINTF='$(MANTITLEPRINTF)' -DMANREFPRINTF='$(MANREFPRINTF)'
-# add "-DTCLTK" to the above list to enable special formatting for Tcl/Tk macros that 
-# conflicts with macros for other man pages
 libs = 
 aux = ANNOUNCE-rman README-rman Makefile Makefile.mac rman.1 rman.html CHANGES
 distrib = $(srcs) $(libs) $(aux) contrib
