=== debian/changelog ===
rman (3.2-7build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:42:00 +0000

rman (3.2-7) unstable; urgency=low

  * [432cb27] Fix "format not a string" error.
  * [631d058] Set hardening flags.
  * [7db1f2f] Update copyright file.
  * [f659dc7] Update email. 
              Set Standards-Version 3.9.4 (no changes). 
              Use compat level 9.

 -- Anton Gladky <gladk@debian.org>  Wed, 08 May 2013 22:56:15 +0200

rman (3.2-6) unstable; urgency=low

  * [427f5fb] Switch Standards-Version to 3.9.2 (no changes).
  * [2589f14] Update homepage.
  * [d619b57] Remove artificial "debian-changes.." patch.
  * [64d10ee] Fix typo in manpage.
  * [adf387a] Simplify debian/rules due to dh 7.
  * [7e1a4ff] Add DM-Upload-Allowed field.
  * [37b60aa] Add autotest.
  * [816d5f1] Add Vcs-fields to debian/control.
  * [b584298] Move the package from experimental to unstable.
  * [6831fd4] Change compat to 8.
  * [038fd1c] Fix segmentation fault on amd64 with gcc-4.6. 
      Thanks to Niels Thykier.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 28 May 2011 06:21:14 +0200

rman (3.2-5) experimental; urgency=low

  * New mantainer (closes: #465951)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/postinst and debian/prerm are removed as useless
  * debian/copyright created, DEP-5
  * Updated man page (closes: #358478, #530329) 
  * Fixed warnings and errors from cppcheck 

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 17 Jan 2011 21:43:28 +0100

rman (3.2-4) unstable; urgency=low

  * QA upload.
    + Set maintainer to QA group.
  * Improve watch file.
  * Bump debhelper compat level from 4 to 7.
    + Use dh_installman instead of dh_installmanpages.
  * Man page fixes.
  * Move homepage to dedicated field.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 26 Jul 2008 10:44:13 +0200

rman (3.2-3) unstable; urgency=low

  * New Policy Version
  * Added Watch file

 -- Stephen M Moraco <stephen@debian.org>  Sun,  2 Oct 2005 13:15:33 -0600

rman (3.2-2) unstable; urgency=low

  * Update Policy Version
  * Converted doc links from use of menu(needs:dwww) to use of doc-base
  * Applied man-page patch to manpage and html version of manpage
    and submitted patch to upstream. Thankyou Helge! (Closes: Bug#245646)

 -- Stephen M Moraco <stephen@debian.org>  Thu, 19 Aug 2004 15:30:06 -0600

rman (3.2-1) unstable; urgency=low

  * New Upstream Version
  * Update to latest policy version
  * Re-applied gzip patch (new upstream didn't have it)

 -- Stephen M Moraco <stephen@debian.org>  Sun,  7 Sep 2003 13:21:14 -0600

rman (3.0.9-6) unstable; urgency=low

  * Update per debhelper best practice changes
  * Update Policy Version
  * Apply gzip patch (Closes: Bug#168889)

 -- Stephen M Moraco <stephen@debian.org>  Thu, 13 Mar 2003 10:25:21 -0700

rman (3.0.9-5) unstable; urgency=low

  * Update to latest policy version

 -- Stephen M Moraco <stephen@debian.org>  Tue,  1 Oct 2002 17:38:14 -0600

rman (3.0.9-4) unstable; urgency=low

  * Adjust Manpage name (Closes: Bug#99606)

 -- Stephen M Moraco <stephen@debian.org>  Sat, 23 Jun 2001 19:24:49 -0600

rman (3.0.9-3) unstable; urgency=low

  * Add Build Depends (Closes: Bug#94825)

 -- Stephen M Moraco <stephen@debian.org>  Mon, 23 Apr 2001 23:05:20 -0600

rman (3.0.9-2) unstable; urgency=low

  * update to gpg key/email addr

 -- Stephen M Moraco <stephen@debian.org>  Thu, 25 Jan 2001 20:29:21 -0700

rman (3.0.9-1) unstable; urgency=low

  * Move from doc to text in menu tree
  * Move to main as Artistic license now applies!
  * changed section to text as is text processor not documentation
  * New upstream version

 -- Stephen M. Moraco <stephen@col.hp.com>  Tue, 27 Jun 2000 01:18:13 -0600

rman (3.0.8-1) unstable; urgency=low

  * New upstream version

 -- Stephen M. Moraco <stephen@col.hp.com>  Mon,  4 Oct 1999 03:57:41 +0000

rman (3.0.7-3) unstable; urgency=low

  * Incorporate contrib stuff into package as doc/examples
  * Update to FHS v2.0 install locations
  * Convert to dh_make generated packaging
  * New Maintainer

 -- Stephen M. Moraco <stephen@col.hp.com>  Mon,  4 Oct 1999 03:56:25 +0000

rman (3.0.7-2) unstable; urgency=low

  * Fixed location of documentation in menu file (closes: Bug#35206)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed,  7 Apr 1999 22:21:06 +0200

rman (3.0.7-1) unstable; urgency=low

  * New upstream version

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  8 Feb 1999 22:54:33 +0100

rman (3.0.6-2) unstable; urgency=low

  * Re-moved into non-free since it is still not DFSG-free.  Why are
    people telling me so?
  * Removed Copyright file since it doesn't come from the upstream
    source.  Why doesn't cvs detect this?  Blah!

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 13 Sep 1998 13:17:47 +0200

rman (3.0.6-1) unstable; urgency=low

  * New upstream version

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  7 Sep 1998 00:12:16 +0000

rman (3.0.5-2) unstable; urgency=low

  * Tried to get it into main as it is DFSG free

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri,  3 Jul 1998 19:29:26 +0200

rman (3.0.5-1) unstable; urgency=low

  * New upstream version
  * Only for slink
  * Added patch from Tom Phelps that should fix a problem with
    misinterpreting soft latin1 dashes (closes: Bug#20808)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 29 Apr 1998 12:29:26 +0200

rman (3.0.4-4) frozen unstable; urgency=medium

  * Removed +x flag on menu file (closes: Bug#21769)
  * Added postinst and postrm to call update-menue (lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 28 Apr 1998 04:08:25 +0200

rman (3.0.4-3) frozen unstable; urgency=low

  * Added patch from Tom Phelps that should fix a problem with
    misinterpreting soft latin1 dashes (closes: Bug#20808)
  * Added HTML documentation

