=== debian/control ===
Source: rman
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Anton Gladky <gladk@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://sourceforge.net/projects/polyglotman/
Vcs-Git: git://git.debian.org/collab-maint/rman.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/rman.git

Package: rman
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PolyglotMan - Reverse compile man pages
 PolyglotMan (formerly RosettaMan) is a filter for UNIX manual pages.
 It takes as input man pages formatted for a variety of UNIX flavors 
 (not [tn]roff source) and produces as output a variety of file 
 formats.
