=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:
	./debian/autotest/autotest

override_dh_auto_install:
	# Add here commands to install the package into debian/rman.
	$(MAKE) -e install \
		DESTDIR=`pwd`/debian/rman \
		BINDIR=`pwd`/debian/rman/usr/bin \
		MANDIR=`pwd`/debian/rman/usr/share/man/man1 

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
