=== debian/watch ===
version=3
http://sf.net/polyglotman/rman-(.+)\.tar\.gz
